body {
    font-family: Arial, Helvetica, sans-serif!important;
}
#app {
    padding-top: 57px;
}
footer {
    background-color: white;
    color: black;
    border-top: 1px solid #d9d9d9;
    width: 100%;
    height: auto;
    margin-top: 10px;
}

.footer-copyright {
    background-color: #dee2e6;
    color: black;
}

.footer-copyright a, a:hover {
    text-decoration: none;
    color: black;
}

#mapid { height: 280px; }

label { margin-bottom: 0!important;}

#fake-login-info, #messages {
    position: fixed;
    bottom: 10px;
    right: 10px;
}

#edwin-login-info {
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 9999;
    background-color: white;
    border-top-right-radius: 5px;;
}

.dot-green {
    height: 14px;
    width: 14px;
    background-color: rgb(0, 158, 84);
    border-radius: 50%;
    display: inline-block;
}

.dot-red {
    height: 14px;
    width: 14px;
    background-color: rgb(186, 0, 0);
    border-radius: 50%;
    display: inline-block;
}

#app-mobile-download {
    position: fixed;
    bottom: 10px;
    left: 10px;
}

.breadcrumb-item.active {
    color: #5E646B!important;
}

.sticky-top { top: 4.5em!important; }

.form-control { 
    border: 1px solid #8E919B!important;
}

.form-control.is-invalid { border-color: #D9342F!important; }
  

.skip {
    text-align: center;
    position: fixed!important;
    width: auto!important;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
    background-color: #3c0000;
    color: #fff;
    padding: 10px!important;
}

button:focus {
    border-color: #000000 !important;
    box-shadow: inset 0 0 0 1px black, 0 0 3px 1px #000!important;
  }

.form-control:focus,
.ql-editor:focus,
.ql-formats > button:focus, select:focus {
    color: #000000!important;
    border-color: #000000!important;
    outline: none!important;
    box-shadow: inset 0 0 0 1px black, 0 0 3px 1px #000!important;
}
.btn:focus,
.btn.focus,
.btn-primary:focus,
.btn-primary.focus,
.btn-secondary:focus,
.btn-secondary.focus,
.btn-success:focus,
.btn-success.focus,
.btn-info:focus,
.btn-info.focus,
.btn-warning:focus,
.btn-warning.focus,
.btn-danger:focus,
.btn-danger.focus,
.btn-light:focus,
.btn-light.focus,
.btn-dark:focus,
.btn-dark.focus,
.btn-blue:focus,
.btn-blue.focus,
.btn-outline-secondary:focus,
.btn-outline-secondary.focus,
.btn-outline-success:focus,
.btn-outline-success.focus,
.btn-outline-info:focus,
.btn-outline-info.focus,
.btn-outline-warning:focus,
.btn-outline-warning.focus,
.btn-outline-danger:focus,
.btn-outline-danger.focus,
.btn-outline-light:focus,
.btn-outline-light.focus,
.btn-outline-dark:focus,
.btn-outline-dark.focus,
.btn-outline-blue:focus,
.btn-outline-blue.focus,
.btn-link:focus,
.btn-link.focus,
.custom-select:focus,
.custom-range:focus,
.nav-link:focus,
.nav-link.focus,
.nav-tabs:focus,
.navbar-brand:focus,
.navbar-toggler:focus,
a:focus,
.page-link:focus,
a.badge-primary:focus,
a.badge-secondary:focus,
a.badge-success:focus,
a.badge-info:focus,
a.badge-warning:focus,
a.badge-light:focus,
a.badge-dark:focus,
.carousel-control-prev:focus,
.carousel-control-next:focus,
.sr-only-focusable:focus
{
    outline: none!important;
    border-color: #000000 !important;
    box-shadow: inset 0 0 0 1px black, 0 0 3px 1px #000!important;
}

.dropdown-item:focus,
.dropdown-item.focus
{
    /* border-width: 0.25em !important; */
    /* border: solid !important; */
    border-color: #000000!important;
    outline: none!important;
    box-shadow: inset 0 0 0 1px black, 0 0 3px 1px #000!important;
}

.rotate {
    animation: rotation 0.5s infinite linear;
}

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(359deg);
    }
}

input.loading {
    background: url(http://www.xiconeditor.com/image/icons/loading.gif) no-repeat right center;
}
select.loading {
    background: url(http://www.xiconeditor.com/image/icons/loading.gif) no-repeat right center;
}


.loader-circle {
    margin:0 auto;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #003399;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 0.7s linear infinite; /* Safari */
    animation: spin 0.7s linear infinite;
  }
  
  /* Safari */
  @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }

  .animate-bottom {
    position: relative;
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 1s;
    animation-name: animatebottom;
    animation-duration: 1s
  }
  
  @-webkit-keyframes animatebottom {
    from { bottom:-100px; opacity:0 } 
    to { bottom:0px; opacity:1 }
  }
  
  @keyframes animatebottom { 
    from{ bottom:-100px; opacity:0 } 
    to{ bottom:0; opacity:1 }
  }

.navbar-nav .dropdown-submenu:hover > .dropdown-menu {
    display: block;
}
.dropdown-submenu {
    position:relative;
}
.dropdown-submenu>.dropdown-menu {
    top:0;
    left:100%;
    margin-top:-6px;
}

/* messages */
#messengerBackground {
    z-index: 9999;
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 100%;
    background-color: gray;
    opacity: 80%;
}

@media (min-width: 640px) {
    #showMessenger {
        z-index: 9999;
        position: fixed;
        top: 0;
        right: 0;
        height: 100vh;
        width: 100%;
        background-color: white;
        border-left: 1px solid #d8dcdf;
        display: flex;
        justify-content: space-between;
        flex-direction: column;
    }
}

@media (min-width: 768px) {
    #showMessenger {
        z-index: 9999;
        position: fixed;
        top: 0;
        right: 0;
        height: 100vh;
        width: 60%;
        background-color: white;
        border-left: 1px solid #d8dcdf;
        display: flex;
        justify-content: space-between;
        flex-direction: column;
    }
}

@media (min-width: 900px) {
    #showMessenger {
        z-index: 9999;
        position: fixed;
        top: 0;
        right: 0;
        height: 100vh;
        width: 45%;
        background-color: white;
        border-left: 1px solid #d8dcdf;
        display: flex;
        justify-content: space-between;
        flex-direction: column;
    }
}

#messagesHeader {
    display: flex;
    align-items: end;
    justify-content: space-between;
    padding: 10px;
    border-bottom: 1px solid #d8dcdf;
}

#topicsWraper {
    flex: content;
}

#topicMessagesWraper {
    flex: content;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    min-height: 90vh;
}

#topicsContent {
    padding-top: 5px;
    width: 100%;
    height: 100%;
}

#messagesContent {
    width: 100%;
    border-bottom: 1px solid #d8dcdf;
    padding: 5px;
    flex: content;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: auto;
}

#topicMessages {
    flex: content;
    width: 100%;
    margin: 0 auto;

    display: flex;
	flex-flow: column wrap;
}

.messageToAdvisor {
    align-self: flex-start;
    background-color: #2c81be;
    border-color: #226391;
    margin-right: 20%;
}

.messageToFarmer {
    align-self: flex-end;
    background-color: #57ba75;
    border-color: #3f8855;
}

.message {
    color: white;
    border-radius: 1em;
	padding: 0.25em 0.75em;
	margin: 0.15em;
	max-width: 70%;
    word-wrap: break-word;
}

#messagesForm {
    width: 100%;
    height: 230px;
    padding: 10px;
    border-bottom: 1px solid #d8dcdf;
}

#messagesForm textarea {
    width: 100%;
    border: 1px solid #b6b9bb;
    padding: 5px;
    border-radius: 5px;
    resize: none;
}

.topic {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #d8dcdf;
    padding: 5px;
    height: 100%;
}

.topic .messages {
    line-height: 15px;
    text-align: right;
}

.topic:hover {
    cursor: pointer;
    background-color: #f5f5f5;
}

[x-cloak] {
    display: none;
}

